%define upstream_name	 Net-DNS
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to the DNS resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC) >= 1.30.0
BuildRequires: perl(Digest::MD5) >= 2.130.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.860.0
BuildRequires: perl(IO::Socket) >= 1.160.0
BuildRequires: perl(IO::Socket::INET) >= 1.250.0
BuildRequires: perl(IO::Socket::IP) >= 0.320.0
BuildRequires: perl(MIME::Base64) >= 2.110.0
BuildRequires: perl(Test::More) >= 0.520.0
BuildRequires: perl(Time::Local) >= 1.190.0
BuildRequires: perl-devel
BuildArch:  noarch

Obsoletes:  perl-Net-DNS < 0.830.0-3

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/*/*
%{perl_vendorlib}/Net


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.90.0-3pclos2017
- rebuild against updates

